(*******************************)
(**  SNAFUX by Damian Todaro  **)
(**    ST X-Press Magazine    **)
(**     December 23, 1986     **)
(*******************************)

program Snafux(input,output);

    const
      {$I gemconst}

    type
      channel = 0..2 ;
      {$I gemtype}

    var
      volume,note,x,y,dirx,diry,lloop,random,i,c,ax,ay,adirx,adiry,
      rand,speed,moves,level,bleep,d_blp: integer;
      redo,n_lvl,crash_ff: boolean;
      grid: array [1..100,1..35] of integer;
      chartx, charty: array [1..10] of integer;
      alert,add: string;
      kbd,ssp: long_integer;
      {$I gemsubs}

function gia_read(data, register: integer): integer;
   xbios(28);

procedure gia_write(data, register: integer);
   xbios(28);

procedure sound_init;
  var
    port_state: integer;
  begin
    port_state:= gia_read(0,7);
    gia_write(port_state&(~7),135);
  end;

procedure sound(ch: channel; pitch: integer; vol: integer);
  begin
     gia_write(vol,136+ch);
     gia_write(pitch&$FF,ch*2+128);
     gia_write(shr(pitch,8),ch*2+129);
  end;

{$P-}
procedure poke( address: long_integer; value: byte );
    type
      lint_ptr = ^long_integer;
    var
      haha: record
               case boolean of
                 true:  ( a: long_integer );
                 false: ( p: lint_ptr );
             end;
    begin
      haha.a := address; haha.p^ := value;
    end;
{$P=}

function super( sp: long_integer ): long_integer;
        gemdos( $20 );

function bconin( device : integer ) : long_integer ;
        bios( 2 );

function bconstat( device: integer ) : boolean ;
        bios( 1 );

procedure bconout (device, c : integer ) ;
        bios( 3 );

function random_num : long_integer;
        xbios(17);

procedure giaccess ( data: byte; regno: integer ) ;
        xbios(28);

function getrez : integer;
        xbios(4);

procedure make_direction_chart;
    begin
       chartx[1]:=0; charty[1]:=-1; chartx[4]:=-1; charty[4]:=0;
       chartx[6]:=1; charty[6]:=0;  chartx[9]:=0;  charty[9]:=1;
    end;

procedure border;
var lloop: integer;
    begin
       clear_screen;
       set_color(0,100,100,100);  set_color(1,400,400,400);
       set_color(2,200,200,200);  set_color(3,300,300,300);
       set_color(4,700,0,0);      set_color(5,300,300,300);
       set_color(6,300,300,300);  set_color(7,300,300,300);
       set_color(8,300,300,300);  set_color(9,1000,200,0);
       set_color(10,0,700,0);     set_color(11,900,600,800);
       set_color(12,900,500,600); set_color(13,700,700,700);
       set_color(14,300,300,300); set_color(15,500,500,500);
       for lloop:=1 to 8 do
          begin
             line_color(11); line(1+lloop,8+lloop,319-lloop,8+lloop);
             line_to(319-lloop,175-lloop); line_to(1+lloop,175-lloop);
             line_to(1+lloop,8+lloop);
          end;
       line_color(11); text_color(4);
       if level = 9
       then
          begin
             for lloop:= 1 to 30719 do
                begin sound(1,lloop,12); sound(2,lloop+100,12); end;
             sound(1,0,0); sound(2,0,0); halt;
          end;
       alert:='Level '; alert:= concat(alert,chr(ord('1')+level));
       text_style(thickened | slanted); draw_string(128,188,alert);
       for lloop:= 0 to 23 do line(lloop*14+2,9,lloop*14+2,174);
       for lloop:= 2 to 12 do line(3,lloop*14,315,lloop*14);
    end;

procedure explosion_color(lloop: integer);
   begin
      if odd(lloop)
      then begin
              set_color(4,700,0,0); set_color(9,1000,200,0);
              paint_color(4);
           end
      else begin
              set_color(9,700,0,0); set_color(4,1000,200,0);
              paint_color(9);
           end;
   end;

procedure crash;
var lloop,cloop,times,fx,fy,r: integer;
      begin
          sound(1,0,0);
          paint_color(4); paint_oval(x*7,y*7,18,18);
          line_color(4);
          for lloop:=15 downto 3 do
              begin
                 explosion_color(lloop);
                 sound(0,10000,18-lloop);
                 times:= lloop*lloop div 2;
                 paint_oval(160,100,times,times);
              end;
              sound(0,0,0);
              case level of
                0: add:= ' More training needed! ';
                1: add:= '       2nd Level| Not bad for an Atarian' ;
                2: add:= '   3rd Level| Still Yawning...';
                3: add:= '      4th Level| Next stop, Hades...';
                4: add:= '      5th Level| My eyes are cracking!';
                5: add:= '      6th Level| Half way there, haha!';
                6: add:= '     7th Level| Holy $%(&* Batman!';
                7: add:= '        8th Level| So? The game is too easy.';
                8: add:= '     Final Level| Almost doesn''t count!';
              end;
              alert:='[1][ | | ';
              alert:= concat(alert,add);
              alert:= concat(alert,' ][ Click ]');
              times:= do_alert(alert,1);
              level:= 0; n_lvl:= false;
      end;

procedure key_dir(var dirx,diry: integer);
var ST: integer;
    keyinlong: long_integer;

   begin
      if bconstat(2) then
         begin
            keyinlong:= bconin(2);
            ST:= int(keyinlong div 65536);
            if (ST=72) or (ST=75) or (ST=77) or (ST=80)
            then begin dirx:= chartx[ST - 71]; diry:= charty[ST - 71]; end;
         end;
   end;

procedure clear_grid;
var lx,ly: integer;
      begin
           for lx:=1 to 60 do for ly:=1 to 35 do grid[lx,ly] := 0;
      end;

procedure start_computer;
     begin
        crash_ff:= false; moves:=0;
        ax:=30; ay:=20;
        adirx:=-1; adiry:=0;
     end;

procedure computer;
var randm: integer ;

   begin
      sound(1,300+grid[ax,ay]*30,6);
      moves:=moves+1;
      if moves > 10 then
        begin
          moves:= 0;
          randm:=abs(int(random_num));
          if randm < 7000 then begin adirx:=-1; adiry:=0; end
          else if randm < 14000 then begin adirx:=1; adiry:=0; end
          else if randm < 21000 then begin adirx:=0; adiry:=1; end
          else begin adirx:=0; adiry:=-1; end;
        end;
      if (grid[ax+adirx,ay+adiry]<3) and (ax+adirx>1) and (ax+adirx<45)
      and (ay+adiry>2) and (ay+adiry<24)
      then
         begin
           paint_color(10+grid[ax+adirx,ay+adiry]);
           paint_rect(ax*7-3,ay*7-3,6,6);
           ax:= ax + adirx; ay:= ay + adiry;
           paint_color(4);
           paint_rect(ax*7-3,ay*7-3,6,6);
           grid[ax,ay]:= grid[ax,ay]+1;
         end
      else redo:=true;
   end;

procedure computer_crash;
var lloop,cloop,times,fx,fy,r: integer;
   begin
       sound(1,0,0);
       paint_color(9);
       paint_oval(ax*7,ay*7,20,20);
       line_color(9);
       for lloop:=15 downto 3 do
           begin
              explosion_color(lloop);
              sound(0,8000,lloop);
              times:= lloop*lloop div 3;
              paint_oval(160,100,lloop * 3,lloop * 3);
           end;
       set_color(4,700,0,0); set_color(9,1000,200,0);
       sound(0,0,0);
       times:=do_alert('[1][ | | Got ''em! ][ Next ]',1);
       n_lvl:=true; crash_ff:= true;
       level:= level + 1;
   end;

begin
   if init_gem >=0 then
       begin
         set_clip(0,2,320,190);
         make_direction_chart;
         ssp:= super(0);
         poke($484,0);
         ssp:= super(ssp);
         sound_init;
         if getrez <> 0 then
           begin
             alert:='[1][This game requires LOW REZ!][Oh my gosh!]';
             c:= do_alert(alert,1);
             halt;
           end;
         hide_mouse;
         level:= 0;
         d_blp:= 300;
         n_lvl:= false;
         alert:='[1][|   Presenting|     SNAFUX|by Damian Todaro][  Okay  ]';
         c:=do_alert(alert,1);
         while c <> 2 do
           begin
             clear_grid;
             x:= 20; y:= 20; dirx:=0; diry:=-1;
             set_color(11,0,0,0);
             for lloop:= 0 to 100 do
                begin
                   i:=0; repeat i:=i+1 until i=20;
                   set_color(11,lloop*9,lloop*6,lloop*8);
                   sound(0,10000-(lloop+100)*50,15);
                end;
             sound(0,0,0);
             border;
             start_computer;
             if not n_lvl then
                begin
                  alert:='[1][ | | Difficulty level? ][ Expert | Novice ]';
                  speed:=do_alert(alert,1);
                end;
             while (grid[x,y] < 1) and (x>1) and (x<45) and (y>2) and (y<24)
             and ( not crash_ff) do
                begin
                   key_dir(dirx,diry);
                   line_color(4);
                   paint_color(4); paint_oval(x*7,y*7,4,4);
                   paint_color(9); paint_oval(x*7+1,y*7+1,3,3);
                   grid[x,y] := 3;
                   x:= x + dirx; y:= y + diry;
                   if abs(bleep)>=1500 then d_blp:=-d_blp;
                   bleep:= bleep+d_blp;
                   for lloop:=1 to abs((speed*6)-level) do
                       sound(0,3000+bleep,6);
                   computer;
                   lloop:=0;
                   repeat lloop:= succ(lloop); redo:= false; computer;
                   until (lloop = 100) or (not redo);
                   if lloop >= 5 then moves:=99;
                   if lloop = 100 then computer_crash;
                end;
             if not crash_ff then crash;
             for lloop:= 100 downto 0 do
                begin
                  set_color(11,lloop*9,lloop*6,lloop*8);
                  i:=0; repeat i:=i+1 until i=500;
                end;
             for lloop:= 0 to 100 do
                begin
                  set_color(11,lloop*9,lloop*6,lloop*8);
                  i:=0; repeat i:=i+1 until i=500;
                end;
             if not crash_ff then
             c:=do_alert('[2][ | |Do you wish to play again?][ Yes | No ]',1);
             clear_grid;
           end;
           exit_gem;
       end;
end.

  
